
(*
AppleScript to set iWatermark Pro Settings.

What this script does is remember all current settings in a script that can be run to reset to all those settings in iWatermark.

Once you have set up a workflow with iWatermark.
For example, chosen a watermark and set resizing, metatags, renaming, etc. in a certain way then this script will make all those settings into a script which can then be run later to reset those settings for you automatically.

The Software is provided by us on an "AS IS" basis. WE MAKES NO WARRANTIES, EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION THE IMPLIED WARRANTIES OF NON - INFRINGEMENT, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE, REGARDING THE SOFTWARE OR ITS USE AND OPERATION ALONE OR IN COMBINATION WITH YOUR PRODUCTS.

IN NO EVENT SHALL Plum Amazing BE LIABLE FOR ANY SPECIAL, INDIRECT, INCIDENTAL OR CONSEQUENTIAL DAMAGES ( INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION ) ARISING IN ANY WAY OUT OF THE USE, REPRODUCTION, MODIFICATION AND / OR DISTRIBUTION OF THE  SOFTWARE, HOWEVER CAUSED AND WHETHER UNDER THEORY OF CONTRACT, TORT ( INCLUDING NEGLIGENCE ), STRICT LIABILITY OR OTHERWISE, EVEN IF AUTHOR HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

iWatermark Pro V1.29.6 or later required.
Download from: http://plumamazing.com/mac/iwatermark

DEMO of resizing input to fit 1600px 
    to sub-folder called "resize1600", 
  format: Progressive JPEG, Quality 80,
  
  Turns off Thumbnail creation
  Rename options are not changed. 
 Meta data options are also not changed.
  
  
*)

tell application "iWatermark Pro"
	
	--	set Input Path to "/Users/markf/Desktop/PB"
	
	set aPath to Input Path
	
	-- reset input options 0-4 (0 = off, 1 = clear input on startup, 2 = after finish procesing,  
	--                                3 = clear input on startup or finished procesing).
	set reset input options to 0
	
	
	-- Take input path and add "resized1600" sub-folder
	set aPath to aPath & "/resized1600"
	-- NOTE: Folders must exists. Set new output folder and create it if needed USING mkdir -p.
	-- make folder, Create intermediate directories as required.
	do shell script "mkdir -p " & quoted form of POSIX path of aPath
	set Output Path to POSIX path of aPath as text
	
	-- Setup output options format: JPEG, TIFF, PSD, BMP --
	set output format to "JPEG"
	set jpg quality to 80
	set progressive JPG to 1
	
	-- Resize options --
	set Resizing to 1
	
	set Resize Height to 1600
	set Resize Width to 1600
	set Resizing Method to 0 -- Fix width and Height in box.
	--	set Resizing Method to 1 -- Fix  Height.
	--	set Resizing Method to 2 -- Fix  width.
	
	set Resampling to 1
	set Resample DPI to 72
	
	--  Sub-folder  Structure:
	(*
	set output Structure to 0 -- Flat structure (no sub-folders)
	set output Structure to 1 -- Portrait / Landscape sub-folders
	set output Structure to 2 -- Midification Date sub-folders
	set output Structure to 3 -- Creation Date (YYYY-MM) sub-folders
	set output Structure to 4 -- Camera Make sub-folders
	set output Structure to 5 -- Camera Model sub-folders
	set output Structure to 6 -- Lens Model sub-folders
	set output Structure to 7 -- Today's Date (YYYY-MM-DD)l sub-folders
	set output Structure to 8 -- Today's Date & Time (YYYY-MM-DD HH:MM)l sub-folders
	set output Structure to 9 -- Watermark's Namel sub-folders
	set output Structure to 10 -- Mirror Input sub-folders
	*)
	set output Structure to 0
	
	
	-- Meta Data Options IPTC/XMP --
	(*
	set adding IPTC meta data to 1
	set remove GEO location to 0
	set save Meta Data to 1
	
	set use input creation dates to 0
	*)
	-- watermark selection options --
	-- set watermark Name to "Name of watermark"
	-- set watermarking to 1 -- 0 = do not watermark, 1 = watermark
	
	-- Filtering options --
	(* 
	 set filtering to 1
	
	set filter Comments to 0
	set filter match comment to ""
	
	set filter name to 0
	set filter file name to "DSC"
	
	set filter keywords to 0
	set filter match keyword to "People, Portrait"
	
	set filter JPG to 1
	set filter PNG to 0
	set filter PSD to 0
	set filter RAW to 1
	set filter TIF to 0
	set filter GIF to 0
	set filter Other to 0
	*)
	
	-- Rename options --
	(*
	set output renamed to 1
	set rename Extension to "jpg"
	set rename Lowercase Ext to 1
	set rename Prefix to ""
	set rename Suffix to ".WaterMarked"
	*)
	
	-- Thumbnail options --
	set create thumbnails to 0
	(*
	set thumbnail Extension to "thumb"
	set thumbnail format to "JPEG"
	set thumbnail Height to 256
	set thumbnail path to ""
	set thumbnail Quality to 65
	set thumbnail Width to 256
	set Use separate thumbnail folder to 0
	*)
	set create history file to 0
	
	
	(* sample commands that may be useful :

-- Possible Status (english) values:
--
-- 	Filtering input files & folder...
-- 	Ready to process X files
-- 	Processing...
-- 	Cancelled input scanning
-- 	Cancelled output processing...
--	Total time to process X image(s) is Y seconds.
get Current Status


if (get input count > 0) then
-- clear out all old inputs
clear Input
end if

*)
	
	-- check if anything to process if so process it.
	if (get input count > 0) then
		-- OPTIONAL: bring iwatermark to front to see progress.
		activate
		start Processing "Resizing to 1600 started from AppleScript"
		
		get Current Status
	else
		display dialog "No files found to process, please setup input"
	end if
	
	-- alternatate way to check if finished scanning...
	repeat while ((Current Status) starts with "Processing")
		delay 1
	--	get Current Status
	end repeat
	
	
end tell

